Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util
Class CacheManagerFactory

    java.lang.Object
      org.apache.slide.util.CacheManagerFactory

public class CacheManagerFactory
extends java.lang.Object

A factory for obtaining ehcache CacheManagers. This simplifies the process of obtaining a CacheManager.

Method Summary
`static net.sf.ehcache.CacheManager` | `getCacheManager(java.lang.String configFilePath)` Creates a CacheManager using the configuration file at configFilePath, then adds the CacheManager to an internal Map.
`static net.sf.ehcache.CacheManager` | `getCacheManager(java.net.URL configFileURL)` Creates a CacheManager using the configuration file at configFileURL, then adds the CacheManager to an internal Map.
`static net.sf.ehcache.CacheManager` | `getDefaultCacheManager()` Retrieves the default CacheManager using the default configuration file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultCacheManager

    public static net.sf.ehcache.CacheManager getDefaultCacheManager()
                                                              throws net.sf.ehcache.CacheException

  Retrieves the default CacheManager using the default configuration file.

  Returns:
    the default CacheManager.
  Throws:
    `net.sf.ehcache.CacheException`

### getCacheManager

    public static net.sf.ehcache.CacheManager getCacheManager(java.lang.String configFilePath)
                                                       throws net.sf.ehcache.CacheException

  Creates a CacheManager using the configuration file at configFilePath, then adds the CacheManager to an internal Map. Subsequent requests for a CacheManager with the same configFilePath returns the CacheManager from the Map.

  Parameters:
    `configFilePath` - path to the configuration file to use.
  Returns:
    a CacheManager
  Throws:
    `net.sf.ehcache.CacheException`

### getCacheManager

    public static net.sf.ehcache.CacheManager getCacheManager(java.net.URL configFileURL)
                                                       throws net.sf.ehcache.CacheException

  Creates a CacheManager using the configuration file at configFileURL, then adds the CacheManager to an internal Map. Subsequent requests for a CacheManager with the same configFileURL returns the CacheManager from the Map.

  Parameters:
    `configFileURL` - URL to the configuration file to use.
  Returns:
    a CacheManager
  Throws:
    `net.sf.ehcache.CacheException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD